package com.emr.entity.emrCollect;

import java.util.Date;

public class Emr_Collect {
    private Integer id;

    private Integer userId;

    private String title;

    private String content;

    private String collectTime;

    private String patientId;

    private String admissId;

    private String inpatientNo;

    private Short admissTimes;

    private String collectTypeFlag;

    private String collectTypeName;

    private Integer parentId;

    private String creater;

    private String createTime;

    private String updater;

    private String updateTime;

    private String newName;//组织树别名

    private String name;//患者姓名

    private Date disDate;

    private String disTime;

    private Integer updateOper;

    private Integer deleteOper;

    public Date getDisDate() {
        return disDate;
    }

    public void setDisDate(Date disDate) {
        this.disDate = disDate;
    }

    public String getDisTime() {
        return disTime;
    }

    public void setDisTime(String disTime) {
        this.disTime = disTime;
    }

    public Integer getUpdateOper() {
        return updateOper;
    }

    public void setUpdateOper(Integer updateOper) {
        this.updateOper = updateOper;
    }

    public Integer getDeleteOper() {
        return deleteOper;
    }

    public void setDeleteOper(Integer deleteOper) {
        this.deleteOper = deleteOper;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    private Integer isShowDetail=0;//是否通过审批且时间未过期可查看

    private Integer lockStatus=0;//锁定状态

    public Integer getIsShowDetail() {
        return isShowDetail;
    }

    public void setIsShowDetail(Integer isShowDetail) {
        this.isShowDetail = isShowDetail;
    }

    public Integer getLockStatus() {
        return lockStatus;
    }

    public void setLockStatus(Integer lockStatus) {
        this.lockStatus = lockStatus;
    }

    public String getNewName() {
        return newName;
    }

    public void setNewName(String newName) {
        this.newName = newName;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getUserId() {
        return userId;
    }

    public void setUserId(Integer userId) {
        this.userId = userId;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title == null ? null : title.trim();
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content == null ? null : content.trim();
    }

    public String getCollectTime() {
        return collectTime;
    }

    public void setCollectTime(String collectTime) {
        this.collectTime = collectTime == null ? null : collectTime.trim();
    }

    public String getPatientId() {
        return patientId;
    }

    public void setPatientId(String patientId) {
        this.patientId = patientId == null ? null : patientId.trim();
    }

    public String getAdmissId() {
        return admissId;
    }

    public void setAdmissId(String admissId) {
        this.admissId = admissId == null ? null : admissId.trim();
    }

    public String getInpatientNo() {
        return inpatientNo;
    }

    public void setInpatientNo(String inpatientNo) {
        this.inpatientNo = inpatientNo == null ? null : inpatientNo.trim();
    }

    public Short getAdmissTimes() {
        return admissTimes;
    }

    public void setAdmissTimes(Short admissTimes) {
        this.admissTimes = admissTimes;
    }

    public String getCollectTypeFlag() {
        return collectTypeFlag;
    }

    public void setCollectTypeFlag(String collectTypeFlag) {
        this.collectTypeFlag = collectTypeFlag == null ? null : collectTypeFlag.trim();
    }

    public String getCollectTypeName() {
        return collectTypeName;
    }

    public void setCollectTypeName(String collectTypeName) {
        this.collectTypeName = collectTypeName == null ? null : collectTypeName.trim();
    }

    public Integer getParentId() {
        return parentId;
    }

    public void setParentId(Integer parentId) {
        this.parentId = parentId;
    }

    public String getCreater() {
        return creater;
    }

    public void setCreater(String creater) {
        this.creater = creater == null ? null : creater.trim();
    }

    public String getCreateTime() {
        return createTime;
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime == null ? null : createTime.trim();
    }

    public String getUpdater() {
        return updater;
    }

    public void setUpdater(String updater) {
        this.updater = updater == null ? null : updater.trim();
    }

    public String getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(String updateTime) {
        this.updateTime = updateTime == null ? null : updateTime.trim();
    }
}